using TsSFCDevice.Client.Biz.Base.Utils;
using TsSFCDevice.Client.Biz.DeviceSvc;

namespace TsSFCDevice.Client.Biz
{
    public class Common
    {
        public string HelloWorld()
        {
            return Utility.SfcBizService.CurrentSvc.HelloWorld();
        }

        /// <summary>
        /// 用户登录
        /// </summary>
        /// <param name="userCode">用户账户</param>
        /// <param name="pwd">用户密码</param>
        /// <param name="inParams">参数</param>
        /// <param name="btResults">返回值</param>
        /// <returns></returns>
        public APIResponseData UserLogin(string userCode, string pwd, string inParams, out byte[] btResults)
        {
            return Utility.SfcBizService.CurrentSvc.UserLogin(userCode, pwd, inParams, out btResults);
        }
    }
}
